{% extends "wagtailadmin/login.html" %}

{% load socialaccount i18n wagtailadmin_tags %}

{% block titletag %}{% trans "Sign in" %}{% endblock %}

{% block bodyclass %}bg-white font-family-karla h-screen{% endblock %}

{% block branding_favicon %}
        <link rel="apple-touch-icon" sizes="180x180" href="/static/img/apple-touch-icon.png">
        <link rel="icon" type="image/png" sizes="32x32" href="/static/img/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/static/img/favicon-16x16.png">
{% endblock %}

{% block css %}
        <!-- Tailwind -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/tailwindcss/2.2.19/tailwind.min.css" rel="stylesheet">
        <link href="/static/css/maybax.css" rel="stylesheet">
        <style>
        .skiplink { display: none }
        .btn {
                color: #ffffff !important;
                font-size: 20px;
                padding: 10px 20px 10px 20px;
                text-decoration: none;
        }
        .btn.discord {
                background: #7481f7;
                background-image: -webkit-linear-gradient(top, #7481f7, #5865f2);
                background-image: -moz-linear-gradient(top, #7481f7, #5865f2);
                background-image: -ms-linear-gradient(top, #7481f7, #5865f2);
                background-image: -o-linear-gradient(top, #7481f7, #5865f2);
                background-image: linear-gradient(to bottom, #7481f7, #5865f2);
        }
        .btn:hover {
                text-decoration: none;
        }
        .btn.discord:hover {
                background: #5865f2;
                background-image: -webkit-linear-gradient(top, #5865f2, #404fd6);
                background-image: -moz-linear-gradient(top, #5865f2, #404fd6);
                background-image: -ms-linear-gradient(top, #5865f2, #404fd6);
                background-image: -o-linear-gradient(top, #5865f2, #404fd6);
                background-image: linear-gradient(to bottom, #5865f2, #404fd6);
        }
        @import url('https://fonts.googleapis.com/css?family=Karla:400,700&display=swap');

        .font-family-karla {
                font-family: karla;
        }
        </style>
        
{% endblock %}


{% block furniture %}
<div class="w-full flex flex-wrap">

<!-- Login Section -->
        <div class="w-full md:w-1/2 flex flex-col">

                <div class="flex justify-center md:justify-start pt-12 md:pl-12 md:-mb-24">
                        <a href="#" class="font-bold text-xl p-4"><img data-src="/static/logo.png" class="lozad" style="height:120px" /></a>
                </div>

                <div class="flex flex-col justify-center md:justify-start my-auto pt-8 md:pt-0 px-8 md:px-24 lg:px-32">
                        <p class="text-center text-3xl text-bold">Welcome.</p>
                        <div class="flex-auto text-center">
                                <h1 class="text-lg font-bold my-6"> Login with Discord! </h1>
                                {% get_providers as socialaccount_providers %}

                                {% for provider in socialaccount_providers %}
                                        {% if provider.id == "openid" %}
                                                {% for brand in provider.get_brands %}
                                                        <a title="{{brand.name}}" class="socialaccount_provider {{provider.id}} {{brand.id}}" href="{% provider_login_url provider.id openid=brand.openid_url process=process %}">
                                                        {{brand.name}}
                                                        </a>
                                                {% endfor %}
                                        {% endif %}
                                        <a title="{{provider.name}}" class="btn discord socialaccount_provider {{provider.id}}" href="{% provider_login_url provider.id process=process scope=scope auth_params=auth_params %}">
                                                <img data-src="/static/img/discord-icon.png" class="lozad" style='height:14px; display:inline-block' />
                                                Login with Discord
                                        </a>
                                {% endfor %}
                        </div>

                        <div class="flex-auto text-center text-xl text-gray-600 my-6">
                                -- Or --
                        </div>

                        <form class="flex flex-col pt-3 md:pt-8 text-center" action="{% url 'wagtailadmin_login' %}" method="post" autocomplete="off" novalidate>
                                {% csrf_token %}

                                {% url 'wagtailadmin_home' as home_url %}
                                <input type="hidden" name="next" value="{{ next|default:home_url }}" />
                                <div class="flex flex-col pt-4">
                                        <label for="email" class="text-lg">Username</label>
                                        <input type="text" name="username" maxlength="150" placeholder="Enter your username" required="" id="id_username" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mt-1 leading-tight focus:outline-none focus:shadow-outline">
                                </div>

                                <div class="flex flex-col pt-4">
                                        <label for="password" class="text-lg">Password</label>
                                        <input type="password" name="password" placeholder="Enter password" required="" id="id_password" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mt-1 leading-tight focus:outline-none focus:shadow-outline">
                                </div>

                                <input type="submit" value="Log In" class="text-white font-bold text-lg hover:bg-gray-700 p-2 mt-8 gradient">
                        </form>
                </div>

        </div>

        <!-- Image Section -->
        <div class="w-1/2 shadow-2xl">
                <img class="lozad object-cover w-full h-screen hidden md:block" data-src="https://source.unsplash.com/G9vRDGA46FY">
        </div>
</div>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/lozad/dist/lozad.min.js"></script>
<script type="text/javascript">
        const observer = lozad(); // lazy loads elements with default selector as '.lozad'
        observer.observe();
</script>
{% endblock %}
